#!/usr/bin/perl

use Test::More qw(no_plan);

use FindBin qw($Bin);
use lib "$Bin/lib",              "$Bin/../lib";
use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc";
use strict;
use Opsview::Web::Controller::Admin::Host;

my $hostcontroller = Opsview::Web::Controller::Admin::Host->new;
my $attrs = {
    throughput_critical => [ "", "50%", "0" ],
    throughput_warning  => [ "0", "30%", "" ],
    indexid  => [ "", 4, "" ],
    snmpinterfaces => [ "eth0", "eth1" ],
    snmpinterfaces_all => [ "eth0", "eth1", "lo" ],
};
$hostcontroller->convert_snmpinterface_input( $attrs );

my $expected = [
    { name => "eth0", active => 1, indexid => "", throughput_warning => "0", throughput_critical => "", discards_critical => undef, discards_warning => undef, errors_warning => undef, errors_critical => undef },
    { name => "eth1", active => 1, indexid => 4, throughput_warning => "30%", throughput_critical => "50%", discards_critical => undef, discards_warning => undef, errors_warning => undef, errors_critical => undef },
    { name => "lo", active => 0, indexid => "", throughput_warning => "", throughput_critical => "0", discards_critical => undef, discards_warning => undef, errors_warning => undef, errors_critical => undef },
];
is_deeply( $attrs->{snmpinterfaces}, $expected, "Converted as expected" );
is( $attrs->{throughput_critical}, undef, "Criticals removed" );
is( $attrs->{throughput_warning}, undef, "Warnings removed" );
is( $attrs->{indexid}, undef, "Indexid removed" );
is( $attrs->{snmpinterfaces_all}, undef, "snmpinterfaces_all removed" );

