#!/usr/bin/perl

use warnings;
use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::More qw(no_plan);
use Test::Deep;

use Opsview::Test qw(opsview);
use Test::WWW::Mechanize::Catalyst qw(Opsview::Web);

use lib "$Bin/lib";
use Opsview::TestUtils;

my $mech = Test::WWW::Mechanize::Catalyst->new;

log_in( $mech, 'admin', 'initial' );

my $submit_button = "Submit Changes";

$mech->get_ok("/admin/timeperiod/edit/2");
$mech->content_contains($submit_button);

$mech->get_ok("/admin/timeperiod/edit/1");
$mech->content_lacks($submit_button);
$mech->content_contains("This object cannot be edited");

$mech->get_ok("/admin/timeperiod");
$mech->content_lacks("Delete 24x7", "Confirm deletion buttons hidden due to foreign key constraints");
$mech->content_contains("Delete none", "Confirm deletion works for timeperiod with nothing associated");

1;
