#!perl

use warnings;
use strict;

use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib";
use lib "/usr/local/nagios/etc";
use lib "/usr/local/nagios/t/lib";

use Test::WWW::Mechanize::Catalyst qw(Opsview::Web);

use Log::Log4perl::Level;

use Test::More qw(no_plan);
use Test::LongString;

use lib "$Bin/lib";
use Opsview::TestUtils;

my $mech = Test::WWW::Mechanize::Catalyst->new;
Log::Log4perl->get_logger("")->level($WARN);

#$mech->get_ok('http://localhost/');
#$mech->form_name('login_form');
#$mech->field( 'login_username' => 'admin' );
#$mech->field( 'login_password' => 'initial' );
#$mech->field( "noscript"       => 0 );
#$mech->click('login');
#$mech->content_like(qr/Status Summary for Host Group/);
log_in( $mech, "admin", "initial" );

$mech->get_ok('http://localhost/search/host?q=cis');
my $expected = '
<ul>
<li>cisco<span class="informal"> (192.168.10.20)</span></li>
<li>cisco1<span class="informal"> (192.168.10.23)</span></li>
<li>cisco2<span class="informal"> (192.168.10.22)</span></li>
<li>cisco3<span class="informal"> (192.168.10.22)</span></li>
<li>cisco4<span class="informal"> (not_a_real_host)</span></li>
</ul>
';
is_string_nows( $mech->content, $expected, 'search results ok' );

# The whitespace is important. Search box is broken if there is a space between <li> and the data
# This test ensures the whitespace is as expected
$mech->get_ok('http://localhost/search/host?q=opsview');
$expected = '<ul>
<li>missing_from_configuration<span class="informal"> (not_in_opsview_db)</span></li>
<li>opsview<span class="informal"> (localhost)</span></li>
<li>hg Opsview</li>
</ul>
';
is_string( $mech->content, $expected, 'search results ok' );

my $somehosts = Test::WWW::Mechanize::Catalyst->new;
log_in( $somehosts, "somehosts", "somehosts" );

$somehosts->get_ok("http://localhost/search/host?q=o");
$expected = '<ul>
<li>monitored_by_slave</li>
<li>hg Opsview</li>
</ul>
';
is_string( $somehosts->content, $expected, "aliases same as name are not listed" );

$expected = '<ul>
<li>hg Opsview</li>
</ul>
';
$somehosts->get_ok("/search/host?q=hg+o");
is_string( $somehosts->content, $expected );
