#!/usr/bin/perl

use warnings;
use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::More;
use Test::Deep;

plan tests => 8;

use Test::WWW::Mechanize::Catalyst qw(Opsview::Web);
use lib "$Bin/lib";
use Opsview::TestUtils;

my $mech = Test::WWW::Mechanize::Catalyst->new;

log_in( $mech, 'admin', 'initial' );

$mech->get_ok("/status/service?hostgroupid=4&filter=handled&state=0");
$mech->follow_link( url_regex => qr%/acknowledge% );
$mech->content_contains("No matching services");

# This should be 1 service in OK state, and thus an ack will show no services
$mech->get_ok("/status/service?host=opslave&servicecheck=/");
$mech->follow_link( url_regex => qr%/acknowledge% );
$mech->content_contains("No matching services");

# This service check should be all OK
$mech->get_ok("/status/service?servicecheck=faked+ok+service");
$mech->follow_link( url_regex => qr%/acknowledge% );
$mech->content_contains("No matching services");
