#!/usr/bin/perl

use warnings;
use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::More qw(no_plan);
use Test::Deep;

use Opsview::Test qw(opsview);
use Test::WWW::Mechanize::Catalyst qw(Opsview::Web);

use lib "$Bin/lib";
use Opsview::TestUtils;

my $mech = Test::WWW::Mechanize::Catalyst->new;

log_in( $mech, 'admin', 'initial' );

$mech->get_ok("/admin/attribute");
$mech->content_contains("Attribute &gt; List");

$mech->follow_link( text => "host_locally_monitored");
$mech->content_contains("Edit: host_locally_monitored");
$mech->back;

$mech->follow_link( text => "Windows Processes" );
$mech->content_contains("Edit: Windows Processes");

__DATA__
my $url = $mech->uri;
$mech->form_name("main_form");
is( $mech->value( "name" ), "freshness checks", "Check name of service group is right before changing" );
$mech->field("name", "goodrobot");
$mech->submit_form;

is($mech->status, 200);
$mech->content_contains(qq{<meta http-equiv="refresh" content="0; URL=http://localhost/admin/servicegroup" />}, "Goes back to list page");

$mech->get_ok("/admin/servicegroup");
$mech->content_contains("goodrobot");

$mech->get_ok( $url, "Go back to edit page again" );
$mech->form_name("main_form");
is( $mech->value( "name" ), "goodrobot", "Name changed" );


1;
